/v1/nodes/{id}/browse

Prev Next
Get
/v1/nodes/{id}/browse
Security
HTTP
Type bearer
OAuth
FlowAuthorization Code Client Credentials
Token URLhttps://cloud-api.prevu3d.com/rc-api/v1/auth/token
Scopes:
read:hierarchyread:hierarchy
Path parameters
id
stringRequired
Query parameters
page
integer

The page number (default 1)

Minimum1
Default1
limit
integer

The number of items per page (between 1 and 20, default 20)

Minimum1
Maximum20
Default20
sortDir
string

Sort direction (default ASC)

Valid values[ "ASC", "DESC" ]
Default"ASC"
sortBy
string
Valid values[ "name", "createdAt", "updatedAt" ]
Default"createdAt"
Responses
200
Expand All
object
node
object (DataNodeResponseDto)
id
string
createdAt
string (date-time)
updatedAt
string (date-time)
name
string
type
string
Valid values[ "Organization", "Site", "Pointcloud", "Mesh", "SiteFile", "Folder", "Project", "Division", "Artifact", "DataBundle" ]
createdById
string | null

The ID of the user who created the node, null if the user was removed or the node was created by the system

parentId
string | null

The ID of the parent node, null if the node is a root node (organization node)

childrenCount
number
bytesStored
number
items
Array of object (DataNodeResponseDto)
object
id
string
createdAt
string (date-time)
updatedAt
string (date-time)
name
string
type
string
Valid values[ "Organization", "Site", "Pointcloud", "Mesh", "SiteFile", "Folder", "Project", "Division", "Artifact", "DataBundle" ]
createdById
string | null

The ID of the user who created the node, null if the user was removed or the node was created by the system

parentId
string | null

The ID of the parent node, null if the node is a root node (organization node)

childrenCount
number
bytesStored
number
total
number